SolrClient::deleteByQueries
SolrClient::__destruct
SolrClient
PHP Manual

# SolrClient::deleteByQuery

(PECL solr >= 0.9.2)

SolrClient::deleteByQuery — Deletes all documents matching the given query

### Description

public SolrUpdateResponse SolrClient::deleteByQuery ( string `$query` )

Deletes all documents matching the given query.

### Parameters

`query`

  The query

### Return Values

Returns a SolrUpdateResponse on success and throws an exception on failure.

### Errors/Exceptions

Throws SolrClientException if the client had failed, or there was a connection issue.

Throws SolrServerException if the Solr Server had failed to process the request.

### Examples

Example #1 SolrQuery::deleteByQuery() example

`<?php
$options = array
(
'hostname' => SOLR_SERVER_HOSTNAME,
'login' => SOLR_SERVER_USERNAME,
'password' => SOLR_SERVER_PASSWORD,
'port' => SOLR_SERVER_PORT,
);
$client = new SolrClient($options);
//This will erase the entire index
$client->deleteByQuery("*:*");
$client->commit();
?>`

### See Also

- SolrClient::deleteById() - Delete by Id
- SolrClient::deleteByIds() - Deletes by Ids
- SolrClient::deleteByQueries() - Removes all documents matching any of the queries

SolrClient::deleteByQueries
SolrClient::__destruct
SolrClient
PHP Manual